package nl.nikhef.sfp;

import java.util.List;

public interface SFPProvider {

	
	public void addSFPDeviceListener(SFPProviderListener l);
	
	public void removeSFPDeviceListener(SFPProviderListener l);
	
	public List<SFPDevice> getDevices();
	
	public String getName();
	
	public void updateDevices();
	
	public void scanForNewDevices();

}
